Name:           python-reframe-hpc
Version:        4.7.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ReFrame is a powerful framework for writing system regression tests and benchmarks, specifically targeted to HPC systems

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/reframe-hpc/reframe
Source:         %{pypi_source reframe_hpc}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'reframe-hpc' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-reframe-hpc
Summary:        %{summary}

%description -n python3-reframe-hpc %_description


%prep
%autosetup -p1 -n reframe_hpc-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-reframe-hpc -f %{pyproject_files}


%changelog
%autochangelog